> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the types of all variables associated with the project-defined event



## OpenAPI

````yaml /openapi.json get /project_defined_events/{id}/filter_types
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /project_defined_events/{id}/filter_types:
    get:
      tags:
        - Project defined events
      summary: >-
        List the types of all variables associated with the project-defined
        event
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the project defined event
          required: true
      responses:
        '200':
          description: A list of filter types associated with the project-defined event
          content:
            application/json:
              schema:
                type: object
                properties:
                  filter_types:
                    type: array
                    items:
                      type: object
                      properties:
                        variable_name:
                          type: string
                          description: The name of the variable
                        type:
                          type: string
                          enum:
                            - string
                            - number
                            - boolean
                            - array
                            - object
                            - date
                            - 'null'
                          description: The type of the variable
                      required:
                        - variable_name
                        - type
                    description: An array of filter types
                required:
                  - filter_types
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````